linux: 3.0.0-19.32 -proposed tracker

Bug #974368 reported by Luis Henriques on 2012-04-05
This bug report is a duplicate of:  Bug #985736: linux: 3.0.0-19.33 -proposed tracker. Edit Remove
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Canonical Security Team
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Nominated for Oneiric by Luis Henriques

Bug Description

This bug is for tracking the 3.0.0-19.32 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 05. April 2012 15:19 UTC
kernel-stable-Prepare-package-end:Friday, 06. April 2012 11:49 UTC
kernel-stable-Promote-to-proposed-start:Friday, 06. April 2012 11:49 UTC
kernel-stable-Promote-to-proposed-end:Monday, 09. April 2012 18:46 UTC
kernel-stable-Verification-testing-start:Monday, 09. April 2012 19:47 UTC
kernel-stable-phase:Testing
kernel-stable-phase-changed:Monday, 16. April 2012 14:46 UTC
kernel-stable-Verification-testing-end:Monday, 16. April 2012 14:46 UTC
kernel-stable-Certification-testing-start:Monday, 16. April 2012 14:46 UTC
kernel-stable-Security-signoff-start:Monday, 16. April 2012 14:46 UTC
kernel-stable-Regression-testing-start:Monday, 16. April 2012 14:46 UTC
kernel-stable-Regression-testing-end:Tuesday, 17. April 2012 22:16 UTC

Luis Henriques (henrix) on 2012-04-05
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 975060

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-oneiric (lucid) - bug 975062

description: updated
Brad Figg (brad-figg) on 2012-04-09
description: updated
Download full text (22.8 KiB)

The following packages ended up in the wrong component in the -proposed pocket:

block-modules-3.0.0-19-generic-di 3.0.0-19.32 - is in universe instead of main
block-modules-3.0.0-19-generic-di 3.0.0-19.32 - is in universe instead of main
block-modules-3.0.0-19-generic-pae-di 3.0.0-19.32 - is in universe instead of main
block-modules-3.0.0-19-omap-di 3.0.0-19.32 - is in universe instead of main
block-modules-3.0.0-19-powerpc-di 3.0.0-19.32 - is in universe instead of main
block-modules-3.0.0-19-powerpc64-smp-di 3.0.0-19.32 - is in universe instead of main
block-modules-3.0.0-19-virtual-di 3.0.0-19.32 - is in universe instead of main
block-modules-3.0.0-19-virtual-di 3.0.0-19.32 - is in universe instead of main
crypto-modules-3.0.0-19-generic-di 3.0.0-19.32 - is in universe instead of main
crypto-modules-3.0.0-19-generic-di 3.0.0-19.32 - is in universe instead of main
crypto-modules-3.0.0-19-generic-pae-di 3.0.0-19.32 - is in universe instead of main
crypto-modules-3.0.0-19-omap-di 3.0.0-19.32 - is in universe instead of main
crypto-modules-3.0.0-19-powerpc-di 3.0.0-19.32 - is in universe instead of main
crypto-modules-3.0.0-19-powerpc64-smp-di 3.0.0-19.32 - is in universe instead of main
crypto-modules-3.0.0-19-virtual-di 3.0.0-19.32 - is in universe instead of main
crypto-modules-3.0.0-19-virtual-di 3.0.0-19.32 - is in universe instead of main
fat-modules-3.0.0-19-generic-di 3.0.0-19.32 - is in universe instead of main
fat-modules-3.0.0-19-generic-di 3.0.0-19.32 - is in universe instead of main
fat-modules-3.0.0-19-generic-pae-di 3.0.0-19.32 - is in universe instead of main
fat-modules-3.0.0-19-omap-di 3.0.0-19.32 - is in universe instead of main
fat-modules-3.0.0-19-powerpc-di 3.0.0-19.32 - is in universe instead of main
fat-modules-3.0.0-19-powerpc64-smp-di 3.0.0-19.32 - is in universe instead of main
fat-modules-3.0.0-19-virtual-di 3.0.0-19.32 - is in universe instead of main
fat-modules-3.0.0-19-virtual-di 3.0.0-19.32 - is in universe instead of main
fb-modules-3.0.0-19-generic-di 3.0.0-19.32 - is in universe instead of main
fb-modules-3.0.0-19-generic-di 3.0.0-19.32 - is in universe instead of main
fb-modules-3.0.0-19-generic-pae-di 3.0.0-19.32 - is in universe instead of main
fb-modules-3.0.0-19-virtual-di 3.0.0-19.32 - is in universe instead of main
fb-modules-3.0.0-19-virtual-di 3.0.0-19.32 - is in universe instead of main
firewire-core-modules-3.0.0-19-generic-di 3.0.0-19.32 - is in universe instead of main
firewire-core-modules-3.0.0-19-generic-di 3.0.0-19.32 - is in universe instead of main
firewire-core-modules-3.0.0-19-generic-pae-di 3.0.0-19.32 - is in universe instead of main
firewire-core-modules-3.0.0-19-powerpc-di 3.0.0-19.32 - is in universe instead of main
firewire-core-modules-3.0.0-19-powerpc64-smp-di 3.0.0-19.32 - is in universe instead of main
floppy-modules-3.0.0-19-generic-di 3.0.0-19.32 - is in universe instead of main
floppy-modules-3.0.0-19-generic-di 3.0.0-19.32 - is in universe instead of main
floppy-modules-3.0.0-19-generic-pae-di 3.0.0-19.32 - is in universe instead of main
floppy-modules-3.0.0-19-powerpc-di 3.0.0-19.32 - is in universe instead of main
floppy-modules-3.0.0-19-powerpc64-smp-di 3.0.0-19.32 - is...

description: updated
Steve Langasek (vorlon) wrote :

all binaries promoted to main for linux, linux-meta, linux-backports-modules-3.0.0.

Brad Figg (brad-figg) on 2012-04-09
description: updated
Brad Figg (brad-figg) on 2012-04-09
description: updated
Herton R. Krzesinski (herton) wrote :

Verification completed (all SRUs verified). Releasing for testing.

Brad Figg (brad-figg) on 2012-04-16
description: updated

Hardware Certification has begun testing this -proposed kernel.

Brad Figg (brad-figg) on 2012-04-17
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (24.1 KiB)

This bug was fixed in the package linux - 3.0.0-19.33

---------------
linux (3.0.0-19.33) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #985736

  [ Luis Henriques ]

  * SAUCE: ite-cir: postpone ISR registration
    - LP: #984387

linux (3.0.0-19.32) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #974368

  [ Brad Figg ]

  * SAUCE (no-up) Provide a param for allowing the BIOS to handle changing
    the brightness on AC/battery status changes.
    - LP: #949311
  * SAUCE (no-up) Quirk for enabling backlight hotkeys on Samsung N150P
    - LP: #875893

  [ Daniel Vetter ]

  * SAUCE: (drop after 3.5) drm/i915: reinstate GM45 TV detection fix
    - LP: #638939

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: (no-up) Reinstate missing hunk from nx emulation
    - LP: #972821

  [ Tim Gardner ]

  * SAUCE: ubuntu drivers: use UMH_WAIT_PROC consistently
    - LP: #963685
  * SAUCE: disable_nx should not be in __cpuinitdata section for X86_32
    - LP: #968233
  * SAUCE: (no-up) remove __initdata from vesafb_fix
    - LP: #969309

  [ Upstream Kernel Changes ]

  * usermodehelper: use UMH_WAIT_PROC consistently
    - LP: #963685
  * usermodehelper: introduce umh_complete(sub_info)
    - LP: #963685
  * usermodehelper: implement UMH_KILLABLE
    - LP: #963685
  * usermodehelper: kill umh_wait, renumber UMH_* constants
    - LP: #963685
  * usermodehelper: ____call_usermodehelper() doesn't need do_exit()
    - LP: #963685
  * kmod: introduce call_modprobe() helper
    - LP: #963685
  * kmod: make __request_module() killable
    - LP: #963685
  * x86, tsc: Fix SMI induced variation in quick_pit_calibrate()
    - LP: #965586
  * ata_piix: Add Toshiba Satellite Pro A120 to the quirks list due to
    broken suspend functionality.
    - LP: #886850
  * ACPICA: Fix regression in FADT revision checks
    - LP: #883441
  * ASPM: Fix pcie devices with non-pcie children
    - LP: #961482
  * USB: option: Add MediaTek MT6276M modem&app interfaces
    - LP: #971808
  * USB: option driver: adding support for Telit CC864-SINGLE, CC864-DUAL
    and DE910-DUAL modems
    - LP: #971808
  * USB: option: make interface blacklist work again
    - LP: #971808
  * USB: option: add ZTE MF820D
    - LP: #971808
  * USB: ftdi_sio: fix problem when the manufacture is a NULL string
    - LP: #971808
  * USB: ftdi_sio: add support for BeagleBone rev A5+
    - LP: #971808
  * USB: Microchip VID mislabeled as Hornby VID in ftdi_sio.
    - LP: #971808
  * USB: ftdi_sio: new PID: Distortec JTAG-lock-pick
    - LP: #971808
  * USB: ftdi_sio: add support for FT-X series devices
    - LP: #971808
  * USB: ftdi_sio: new PID: LUMEL PD12
    - LP: #971808
  * powerpc/usb: fix bug of kernel hang when initializing usb
    - LP: #971808
  * usb: musb: Reselect index reg in interrupt context
    - LP: #971808
  * usb: gadgetfs: return number of bytes on ep0 read request
    - LP: #971808
  * USB: gadget: Make g_hid device class conform to spec.
    - LP: #971808
  * futex: Cover all PI opcodes with cmpxchg enabled check
    - LP: #971808
  * sysfs: Fix memory leak in sysfs_sd_setsecdata().
    - LP: #971808
  * tty: ...

Changed in linux (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers